Cannot compile Qt 4.7.2 (-lQtCore error)

  • Hi,

    I'm quite a newbie in compiling such library under linux... So, first of all, I'm so sorry for all that tricks...

    I've first run the following command :

    ./configure -prefix <my_install_dir>
    This first step is OK

    Then I've run this one, to compile :

    And I've got the follwing error :
    /usr/bin/ld: cannot find -lQtCore

    Can you help me ?

    Mathieu (French guy...)

  • Won't be able to help much without more information... Could you provide a bit more information ? (compilation log)

    the message you're pointing looks like at some point, it tries to link with QtCore and can't find it, most probably because of a path issue (-L) or because it was not created

Log in to reply

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.